Subject: RE: BIND issue 3.2_example, was: Comments on bind-08

From: "Jim Whitehead" <[email-masked]>
Date: Wed, 1 Dec 2004 11:43:25 -0800

Julian writes:

> 3.2.1  Example for DAV:parent-set property

*snip*

>       <parent-set xmlns="DAV:">
>         <parent>
>           <href>/CollX</href>
>           <segment>x.gif</segment>
>         </parent>
>         <parent>
>           <href>/CollX</href>
>           <segment>y.gif</segment>
>         </parent>
>       </parent-set>

Seems to me the href should hold a fully qualified URL, since other hrefs in
the specification do this as well.

- Jim

PS -- While we're on the subject, I'll hold this up as an example of the
kind of interpretation difference reasonable implementers can make of
language that seems perfectly clear (and this is *much* more simple than the
syntax for If headers).

---

From: Julian Reschke <[email-masked]>
Date: Wed, 01 Dec 2004 20:58:36 +0100

> the specification do this as well.

It may hold whatever RFC2518 defines for DAV:href (we probably should 
let the DTD fragment refer to RFC2518, section 12.3, right?). RFC2518 
relies on RFC2068, section 3.2.1, which allows both absoluteURI and 
relativeURI.

> language that seems perfectly clear (and this is *much* more simple than the

I don't see the issue here. Lots of WebDAV servers return relativeURIs 
in DAV:href elements, and as far as I can tell, this is no problem at 
all. Please explain :-)

Best regards, Julian

-- 
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

---

From: "Jim Whitehead" <[email-masked]>
Date: Wed, 1 Dec 2004 12:10:12 -0800

After refreshing my memory on relative URL calculation, I now agree the
example is right. Is there anyplace in the DAV specifications where we state
what URL should be used as the base URL for relative URL calculation? I
don't think this is in 2518 anyplace. Did this make it into 2518bis?

- Jim

> > Seems to me the href should hold a fully qualified URL, since other 
> > hrefs in the specification do this as well.
> 
> It may hold whatever RFC2518 defines for DAV:href (we 
> probably should let the DTD fragment refer to RFC2518, 
> section 12.3, right?). RFC2518 relies on RFC2068, section 
> 3.2.1, which allows both absoluteURI and relativeURI.
> 
> > PS -- While we're on the subject, I'll hold this up as an 
> example of 
> > the kind of interpretation difference reasonable 
> implementers can make 
> > of language that seems perfectly clear (and this is *much* 
> more simple 
> > than the syntax for If headers).
> 
> I don't see the issue here. Lots of WebDAV servers return 
> relativeURIs in DAV:href elements, and as far as I can tell, 
> this is no problem at all. Please explain :-)

---

From: Julian Reschke <[email-masked]>
Date: Wed, 01 Dec 2004 21:21:55 +0100

Julian Reschke wrote:
 > ...
> ... 

We can do this by

1) explicitly mentioning DAV:href in 1.1 (terminology imported from 
RFC2518), or

2) adding a

<!-- href: see [RFC2518], section 12.3 -->

to each of the DTD fragments.

Any preferences (or alternative proposals)?

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Wed, 01 Dec 2004 21:35:08 +0100

> don't think this is in 2518 anyplace. Did this make it into 2518bis?

RFC2518bis attempts to clarify this (however I'm not yet happy with the 
way it does it :-). Apache/moddav routinely returns DAV:href elements 
containing relativeURI starting with a "/", which doesn't seem to cause 
any interop problems in practice (of course, returning non-root 
relativeURI will be way more interesting, but that's something 
RFC2518bis should resolve).

Julian

---

From: Julian Reschke <[email-masked]>
Date: Fri, 03 Dec 2004 09:29:48 +0100

> relies on RFC2068, section 3.2.1, which allows both absoluteURI and 

Do we need to clarify the source of DAV:href's definition somewhere in 
BIND? Alternatives seem to be:

- explicitly mention it in the Terminology section,

- add a comment to each DTD fragment using it.

I personally feel that we don't need (for instance, RFC3744 doesn't seem 
to do it either), so unless somebody speaks up, I'll consider this one 
closed.

Julian

---

From: "Jim Whitehead" <[email-masked]>
Date: Fri, 3 Dec 2004 09:32:19 -0800

I think this issue can be closed for the BIND specification -- if it's to be
pointed out clearly anywhere, it is in the 2518bis.

- Jim 

> -----Original Message-----
> From: Julian Reschke [mailto:[email-masked]] 
> Sent: Friday, December 03, 2004 12:30 AM
> To: Julian Reschke
> Cc: [email-masked]; 'WebDAV (WebDAV WG)'
> Subject: Re: BIND issue 3.2_example, was: Comments on bind-08
> 
> Julian Reschke wrote:
> probably should